Support Center

What Android version is compatible with the Vetrax® App?

The Vetrax App is compatible with Android 5.0 (Lollipop) and above. 

Did you find this article helpful?